package com.zd.exam.service;

import com.zd.exam.domain.ElExam;
import com.zd.exam.domain.ElExamRepo;
import com.zd.exam.domain.vo.ExamConfig;

import java.util.List;

/**
 * 考试题库(ElExamRepo)表服务接口
 *
 * @author liubo
 * @since 2021-08-31 09:23:50
 */
public interface ElExamRepoService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ElExamRepo queryById(Long id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<ElExamRepo> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param elExamRepo 实例对象
     * @return 实例对象
     */
    ElExamRepo insert(ElExamRepo elExamRepo);

    /**
     * 修改数据
     *
     * @param elExamRepo 实例对象
     * @return 实例对象
     */
    ElExamRepo update(ElExamRepo elExamRepo);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    void saveAll(ElExam elExam);

    List<ElExamRepo> queryByExamId(Long examId);

    int deleteByExamId(Long examId);

    ExamConfig selectSumScoreByExamId(Long examId);
}
